<?php
/**
 * @file
 * ocio_user_directory.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function ocio_user_directory_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'user|user|directory';
  $ds_fieldsetting->entity_type = 'user';
  $ds_fieldsetting->bundle = 'user';
  $ds_fieldsetting->view_mode = 'directory';
  $ds_fieldsetting->settings = array(
    'user_email' => array(
      'weight' => '6',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'name' => array(
      'weight' => '1',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '0',
        'wrapper' => '',
        'class' => '',
        'ft' => array(),
      ),
    ),
  );
  $export['user|user|directory'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'user|user|full';
  $ds_fieldsetting->entity_type = 'user';
  $ds_fieldsetting->bundle = 'user';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'user_email' => array(
      'weight' => '2',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['user|user|full'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_custom_fields_info().
 */
function ocio_user_directory_ds_custom_fields_info() {
  $export = array();

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'user_email';
  $ds_field->label = 'User Email';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'user' => 'user',
  );
  $ds_field->ui_limit = '';
  $ds_field->properties = array(
    'code' => array(
      'value' => '<a href="mailto:[user:mail]">[user:mail]</a>',
      'format' => 'raw',
    ),
    'use_token' => 1,
  );
  $export['user_email'] = $ds_field;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function ocio_user_directory_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'user|user|directory';
  $ds_layout->entity_type = 'user';
  $ds_layout->bundle = 'user';
  $ds_layout->view_mode = 'directory';
  $ds_layout->layout = 'ds_2col_fluid';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'field_user_photo',
      ),
      'right' => array(
        1 => 'name',
        2 => 'field_job_title',
        3 => 'field_phone',
        4 => 'field_room_and_building',
        5 => 'field_street_address',
        6 => 'user_email',
      ),
    ),
    'fields' => array(
      'field_user_photo' => 'left',
      'name' => 'right',
      'field_job_title' => 'right',
      'field_phone' => 'right',
      'field_room_and_building' => 'right',
      'field_street_address' => 'right',
      'user_email' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'left' => 'div',
      'right' => 'div',
      'ds_hidden' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['user|user|directory'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'user|user|form';
  $ds_layout->entity_type = 'user';
  $ds_layout->bundle = 'user';
  $ds_layout->view_mode = 'form';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'account',
        1 => 'field_display_in_directory',
        2 => 'field_first_name',
        3 => 'field_last_name',
        4 => 'field_job_title',
        5 => 'field_phone',
        6 => 'field_room_and_building',
        7 => 'field_street_address',
        8 => 'field_user_photo',
      ),
      'hidden' => array(
        9 => 'wysiwyg',
        10 => 'timezone',
        11 => '_add_existing_field',
      ),
    ),
    'fields' => array(
      'account' => 'ds_content',
      'field_display_in_directory' => 'ds_content',
      'field_first_name' => 'ds_content',
      'field_last_name' => 'ds_content',
      'field_job_title' => 'ds_content',
      'field_phone' => 'ds_content',
      'field_room_and_building' => 'ds_content',
      'field_street_address' => 'ds_content',
      'field_user_photo' => 'ds_content',
      'wysiwyg' => 'hidden',
      'timezone' => 'hidden',
      '_add_existing_field' => 'hidden',
    ),
    'classes' => array(),
    'wrappers' => array(
      'ds_content' => 'div',
      'ds_hidden' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['user|user|form'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'user|user|full';
  $ds_layout->entity_type = 'user';
  $ds_layout->bundle = 'user';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_user_photo',
        1 => 'field_job_title',
        2 => 'user_email',
        3 => 'field_phone',
        4 => 'field_room_and_building',
        5 => 'field_street_address',
      ),
    ),
    'fields' => array(
      'field_user_photo' => 'ds_content',
      'field_job_title' => 'ds_content',
      'user_email' => 'ds_content',
      'field_phone' => 'ds_content',
      'field_room_and_building' => 'ds_content',
      'field_street_address' => 'ds_content',
    ),
    'classes' => array(),
    'wrappers' => array(
      'ds_content' => 'div',
      'ds_hidden' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['user|user|full'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function ocio_user_directory_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'directory';
  $ds_view_mode->label = 'Directory';
  $ds_view_mode->entities = array(
    'user' => 'user',
  );
  $export['directory'] = $ds_view_mode;

  return $export;
}
