(function($){

CKEDITOR.plugins.add('accordion', {
  requires: 'widget',
  init: function(editor) {
    // Register the toolbar buttons for the CKEditor editor instance.
    editor.ui.addButton('accordion',
    {
      label : 'Insert Accordion',
      icon : this.path + 'icon-accordion.png',
      command : 'accordion'
    });

    // Add our plugin-specific CSS to style the widget within CKEditor.
    editor.addContentsCss( this.path + 'editor-accordion.css' );

    // Register the widget.
    editor.widgets.add('accordion', {
      template:
        '<div class="ui-accordion">' +
          '<div class="ui-accordion-header">Header</div>' +
          '<div class="ui-accordion-content"><p>Content</p></div>' +
        '</div>',
      editables: {
        title: {
          selector: '.ui-accordion-header',
        },
        content: {
          selector: '.ui-accordion-content'
        }
      },

      allowedContent: 'div(!ui-accordion); div(!ui-accordion-content); div(!ui-accordion-header);',

      upcast: function(element) {
        return element.name == 'div' && element.hasClass('ui-accordion');
      }
    });
  }
});
})(jQuery);
