<?php
/**
 * Implements template_preprocess_region().
 */
function ocio_omega_base_preprocess_region(&$vars) {
  global $base_url;
  $theme_path = $base_url . '/' . drupal_get_path('theme', 'ocio_omega_base');
  $siteinfo_module = module_exists('ocio_siteinfo');

  switch($vars['region']) {
    case 'osu_navbar':
      /* Variables for osu_navbar region */
      $vars['classes_array'][] = theme_get_setting('ocio_omega_color_navbar');
      break;
    case 'masthead':
      /* Variables for masthead region */
      $siteinfo = variable_get('ocio_siteinfo');
      $color = theme_get_setting('ocio_omega_color_masthead');
      $vars['classes_array'][] = $color;
      $vars['site_name_prefix'] = $siteinfo_module ? $siteinfo['basic']['prefix'] : '';
      $vars['site_slogan'] = variable_get('site_slogan');
      $vars['logo'] = $theme_path . '/images/osu-logos/osu-stacked-' . $color . '.svg';
      $vars['site_name'] = $siteinfo_module && !empty($siteinfo['basic']['site_name_markup']) ? $siteinfo['basic']['site_name_markup'] : variable_get('site_name');
      $vars['site_name_classes'] = $siteinfo_module ? $siteinfo['basic']['site_name_classes'] : '';
      break;
    case 'main_menu':
      /* Variables for main_menu region */
      $vars['classes_array'][] = theme_get_setting('ocio_omega_color_menu');
      break;
    case 'footer_1':
      /* Variables for footer_1 region */
      $vars['logo'] = $theme_path . '/images/osu-logos/osu-footer-wordmark.svg';
      $vars['rendered_content'] =  $siteinfo_module ? ocio_siteinfo_address_content() : '';
      break;
    case 'footer_2':
      /* Variables for footer_2 region */
      $vars['rendered_content'] =  $siteinfo_module ? ocio_siteinfo_social_content() : '';
      break;
    case 'footer_3':
      /* Variables for footer_2 region */
      $vars['rendered_content'] =  $siteinfo_module ? ocio_siteinfo_footer_block() : '';
      break;
  }
  /* Variables for all regions */
  $vars['front_page'] = $base_url;
}
