<?php

/**
 * @file
 * Default theme implementation to display a region.
 *
 * Available variables:
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions.
 * - $attributes: array of HTML attributes populated by modules, intended to
 *   be added to the main container tag of this template. It can be manipulated
 *   through the variable $attributes_array from preprocess functions.
 * - $region: The name of the region variable as defined in the theme's .info
 *   file.
 *
 * Helper variables:
 * - $is_admin: Flags true when the current user is an administrator.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 *
 * * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or
 *   prefix.
 * - $logo: The path to the logo image, as defined in theme configuration.
 * - $site_name: The name of the site, empty when display has been disabled
 *   in theme settings.
 * - $site_slogan: The slogan of the site, empty when display has been disabled
 *   in theme settings.
 *
 * @see template_preprocess()
 * @see template_preprocess_region()
 * @see template_process()
 */
?>
<div<?php print $attributes; ?>>
	<div class="l-constrained">
		<div id="site-name"<?php print $site_name_classes; ?>>
			<a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home">
      <?php if ($site_name_prefix): ?>
        <span class="site-name-prefix"><?php print $site_name_prefix; ?></span>
      <?php endif; ?>
        <span class="site-name-main"><?php print $site_name; ?></span>
      </a>
			<?php if ($site_slogan): ?>
				<div class="site-name-slogan"><?php print $site_slogan; ?></div>
			<?php endif; ?>
    </div><!--/site-name-->
    <div id="site-logo">
      <a href="http://osu.edu" alt="The Ohio State University" target="_blank">
        <img src="<?php print $logo; ?>">
      </a>
    </div><!--/site-logo-->
	</div><!--/l-constrained-->
</div>
