<?php

/**
 * @file
 * Default theme implementation to display a region.
 *
 * Available variables:
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions.
 * - $attributes: array of HTML attributes populated by modules, intended to
 *   be added to the main container tag of this template. It can be manipulated
 *   through the variable $attributes_array from preprocess functions.
 * - $region: The name of the region variable as defined in the theme's .info
 *   file.
 *
 * Helper variables:
 * - $is_admin: Flags true when the current user is an administrator.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 *
 * * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or
 *   prefix.
 *
 * @see template_preprocess()
 * @see template_preprocess_region()
 * @see template_process()
 */
?>
<div<?php print $attributes; ?>>
  <div role="navigation" id="osu_navbar" class="l-constrained" aria-labelledby="osu_navbar_heading">

    <h2 id="osu_navbar_heading" class="osu-semantic">Ohio State nav bar</h2>
    <a href="#main-content" id="skip" class="osu-semantic">Skip to main content</a>
    <div class="univ_info">
      <p class="univ_name"><a href="http://osu.edu" title="The Ohio State University">The Ohio State University</a></p>
    </div><!-- /univ_info -->
    <div class="univ_links">
      <div class="links">
        <ul>
          <li><a href="http://www.osu.edu/help.php" class="help">Help</a></li>
          <li><a href="http://buckeyelink.osu.edu/" class="buckeyelink" >BuckeyeLink</a></li>
          <li><a href="http://www.osu.edu/map/" class="map">Map</a></li>
          <li><a href="http://www.osu.edu/findpeople.php" class="findpeople">Find People</a></li>
          <li><a href="https://email.osu.edu/" class="webmail">Webmail</a></li>
          <li class="last"><a href="http://www.osu.edu/search/" class="search">Search Ohio State</a></li>
        </ul>
      </div><!-- /links -->
    </div><!-- /univ_links -->
  </div><!-- /osu_navbar -->
</div>
